summaryrefslogtreecommitdiffstats
path: root/scripts/t/mock-bin
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:31 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:31 +0000
commitb86570f63e533abcbcb97c2572e0e5732a96307b (patch)
treecabc83be691530ae685c45a8bc7620ccc0e1ebdf /scripts/t/mock-bin
parentInitial commit. (diff)
downloaddpkg-upstream.tar.xz
dpkg-upstream.zip
Adding upstream version 1.20.13.upstream/1.20.13upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'scripts/t/mock-bin')
-rwxr-xr-xscripts/t/mock-bin/dpkg20
-rwxr-xr-xscripts/t/mock-bin/gcc20
2 files changed, 40 insertions, 0 deletions
diff --git a/scripts/t/mock-bin/dpkg b/scripts/t/mock-bin/dpkg
new file mode 100755
index 0000000..fbfba35
--- /dev/null
+++ b/scripts/t/mock-bin/dpkg
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+args="$@"
+
+while [ $# -gt 0 ]; do
+ opt="$1"
+ shift
+
+ case "$opt" in
+ --print-architecture)
+ echo amd64
+ exit 0
+ esac
+done
+
+# Otherwise fail hard.
+echo "$0: unsupported command ($args) in mock wrapper"
+exit 1
diff --git a/scripts/t/mock-bin/gcc b/scripts/t/mock-bin/gcc
new file mode 100755
index 0000000..0174f17
--- /dev/null
+++ b/scripts/t/mock-bin/gcc
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+args="$@"
+
+while [ $# -gt 0 ]; do
+ opt="$1"
+ shift
+
+ case "$opt" in
+ -dumpmachine)
+ echo x86_64-linux-gnu
+ exit 0
+ esac
+done
+
+# Otherwise fail hard.
+echo "$0: unsupported command ($args) in mock wrapper"
+exit 1